SingleKeyHashMap (Groovy 4.0.10)
Description: declaration: package: org.codehaus.groovy.util, class: SingleKeyHashMap

Package org.codehaus.groovy.util

# Class SingleKeyHashMap

java.lang.Object
org.codehaus.groovy.util.ComplexKeyHashMap
org.codehaus.groovy.util.SingleKeyHashMap

Direct Known Subclasses:
  `MetaClassImpl.Index`

@Deprecated public class SingleKeyHashMap extends ComplexKeyHashMap
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SingleKeyHashMap.Copier`
  Deprecated.
  `static class`
  `SingleKeyHashMap.Entry`
  Deprecated.

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `ComplexKeyHashMap.EntryIterator`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleKeyHashMap()`
  Deprecated.
  `SingleKeyHashMap(boolean b)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsKey(String name)`
  Deprecated.
  `static SingleKeyHashMap`
  `copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)`
  Deprecated.
  `final Object`
  `get(Object key)`
  Deprecated.
  `SingleKeyHashMap.Entry`
  `getOrPut(Object key)`
  Deprecated.
  `SingleKeyHashMap.Entry`
  `getOrPutEntry(SingleKeyHashMap.Entry element)`
  Deprecated.
  `void`
  `put(Object key, Object value)`
  Deprecated.
  `SingleKeyHashMap.Entry`
  `putCopyOfUnexisting(SingleKeyHashMap.Entry ee)`
  Deprecated.
  `final ComplexKeyHashMap.Entry`
  `remove(Object key)`
  Deprecated.

  ### Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleKeyHashMap

    public SingleKeyHashMap()
    Deprecated.

  - ### SingleKeyHashMap

    public SingleKeyHashMap(boolean b)
    Deprecated.

- ## Method Details

  - ### containsKey

    public boolean containsKey(String name)
    Deprecated.

  - ### put

    public void put(Object key, Object value)
    Deprecated.

  - ### get

    public final Object get(Object key)
    Deprecated.

  - ### getOrPut

    public SingleKeyHashMap.Entry getOrPut(Object key)
    Deprecated.

  - ### getOrPutEntry

    public SingleKeyHashMap.Entry getOrPutEntry(SingleKeyHashMap.Entry element)
    Deprecated.

  - ### putCopyOfUnexisting

    public SingleKeyHashMap.Entry putCopyOfUnexisting(SingleKeyHashMap.Entry ee)
    Deprecated.

  - ### remove

    public final ComplexKeyHashMap.Entry remove(Object key)
    Deprecated.

  - ### copy

    public static SingleKeyHashMap copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)
    Deprecated.